#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: tree-diff
version: 0.0.1
id: tree-diff-0.0.1-LYKO1sVp4i15FEsn7NTnyO
key: tree-diff-0.0.1-LYKO1sVp4i15FEsn7NTnyO
license: BSD-3-Clause
copyright: (c) 2017 Oleg Grenrus
maintainer: Oleg.Grenrus <oleg.grenrus@iki.fi>
author: Oleg Grenrus <oleg.grenrus@iki.fi>
homepage: https://github.com/phadej/tree-diff
synopsis: Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:
    .
    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @
    .
    This package works on trees.
    .
    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @
    .
    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.
    .
    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.
    .
    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    {fooBool = [-True, +False, False, +True],
    fooInt = 42,
    fooString = -"old" +"new"}
    @
category: Data
abi: c212f9ab8cbcc44ec7530f66b33a6a95
exposed: True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.Parser
    Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck Data.TreeDiff.Tree
import-dirs: /usr/lib/ghc-8.4.2/site-local/tree-diff-0.0.1
library-dirs: /usr/lib/ghc-8.4.2/site-local/tree-diff-0.0.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/tree-diff-0.0.1
hs-libraries: HStree-diff-0.0.1-LYKO1sVp4i15FEsn7NTnyO
depends:
    base-4.11.1.0 aeson-1.3.1.1-dcIxm637We4CZtEjnOqrp
    ansi-wl-pprint-0.6.8.2-5VjUR5zrHF4ICjKXehuybH
    ansi-terminal-0.8.0.4-CvDyNcwxO3756EDj7fON2h
    base-compat-0.10.1-LjQCAvvrOQx72iD1hHVjc6 bytestring-0.10.8.2
    containers-0.5.11.0 generics-sop-0.3.2.0-5JX38dNigUk7e65oSELmom
    hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg
    MemoTrie-0.6.9-B1hslUDim3c65iNfNxH1yW parsec-3.1.13.0
    parsers-0.12.8-2z0XNwaS20nEVRyH4p3Smj pretty-1.1.3.6
    QuickCheck-2.11.3-4bkq8vcRuH33iMSCEtmKx6
    scientific-0.3.6.2-5CyHdegMsTFBY4p5C2C7g8
    tagged-0.8.5-8zhZJ4AR6AIK89q9NUJ4H text-1.2.3.0 time-1.8.0.2
    unordered-containers-0.2.9.0-A3KBTFupd4vFLOQxsI6884
    uuid-types-1.0.3-9IxwX10i8f5KLD3aajZO71
    vector-0.12.0.1-4awQG9XUvVEBfJgKGHBhOb
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             aeson-1.3.1.1-dcIxm637We4CZtEjnOqrp=6f34fa436c981af2b0589cc66168565f
             ansi-wl-pprint-0.6.8.2-5VjUR5zrHF4ICjKXehuybH=acacaf200daa6a34897880ee2dd48291
             ansi-terminal-0.8.0.4-CvDyNcwxO3756EDj7fON2h=d29a802384bc8c994c84a39efa43ccae
             base-compat-0.10.1-LjQCAvvrOQx72iD1hHVjc6=57c0a039555e324271d13aa2b54dc32d
             bytestring-0.10.8.2=c1695cedf0cebf0c12d34c90fb94a65f
             containers-0.5.11.0=f8334bacfaf0e925ca7b24fb26fb2e66
             generics-sop-0.3.2.0-5JX38dNigUk7e65oSELmom=4d4d502ecb3dc16eeeb1962a57e78b27
             hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg=0e3ad496fde59157bcd6a630b4b29548
             MemoTrie-0.6.9-B1hslUDim3c65iNfNxH1yW=907045c030439a77f959d42dca1d51d8
             parsec-3.1.13.0=b976f306e11b572c7d5898bcff511199
             parsers-0.12.8-2z0XNwaS20nEVRyH4p3Smj=0d5b9e1bf3a10eb4dd8c1160ce358f83
             pretty-1.1.3.6=003e48b94caa84f26c31da01b81a0320
             QuickCheck-2.11.3-4bkq8vcRuH33iMSCEtmKx6=329f1c9cae18d78e8febe9289607fdb9
             scientific-0.3.6.2-5CyHdegMsTFBY4p5C2C7g8=bf2c4ab253b66175121fc647b8699c7c
             tagged-0.8.5-8zhZJ4AR6AIK89q9NUJ4H=9cfccdbb0f679fbc0a04182b333a8da7
             text-1.2.3.0=5654b56910ce698015ec900075c28f62
             time-1.8.0.2=f5b6d28c2b89a17d60f5dfeda767abd0
             unordered-containers-0.2.9.0-A3KBTFupd4vFLOQxsI6884=c76b79dc8a56ff4425c082d0052b04f4
             uuid-types-1.0.3-9IxwX10i8f5KLD3aajZO71=086b52cb695e84a4aa7b235dcfa4eb58
             vector-0.12.0.1-4awQG9XUvVEBfJgKGHBhOb=6eab66b6328cb1f1f60a88d42282d4d0
haddock-interfaces: /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html: /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

